Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07453 DIP/Input Minor Always Oct 15, 2019, 17:05 Nov 23, 2019, 20:28
Tester M.A.S.H. View Status Public Platform MAME (Official Binary)
Assigned To r0ast3r Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver spectrum.cpp
Version 0.214 Fixed in Version 0.216 Build 64-bit
Summary MESS-specific 07453: spectrum: Kempston Joystick doesn't work
Description The Kempston Joystick doesn't work in ZX Spectrum since MAME 0.208.
Steps To Reproduce Extract mame0208b_64bit.exe in a directory. Copy the spectrum.zip rom in the roms dir
and start with:
mame64 spectrum
Select Jetpac und press key '4' for 'Kempston Joystick' and start game with key '5'.
Additional Information Possible regression:
https://git.redump.net/mame/commit/?id=09f698ddc8f1e0ee0196f1069a3dc44a2e13b863
Flags
Regression Version 0.208
Affected Sets / Systems spectrum
Attached Files
zip file icon spectrum_indydoom.zip (23,059 bytes) Nov 5, 2019, 00:07 Uploaded by ICEknight
Joystick selection screen in spectrum/indydoom
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.17148
ICEknight
Tester
Nov 5, 2019, 00:11
I've uploaded a 0.215 savestate for spectrum/indydoom at the joystick selection screen, for quick checking.

At the moment, selecting Kempston makes Indy go all berserk.
User avatar
No.17151
r0ast3r
Tester
Nov 6, 2019, 01:00
Submitted a fix: https://github.com/mamedev/mame/pull/5862
User avatar
No.17176
M.A.S.H.
Senior Tester
Nov 17, 2019, 08:34
Commit https://git.redump.net/mame/commit/?id=ecb08b2cd6fd059ebb7cb893955c20a0995b0099
breaks the Kempston Joystick again in ZX Spectrum.
User avatar
No.17197
Pernod
Developer
Nov 23, 2019, 18:28
I've just tried both jetpac and indydoom and both work with Kempston joystick interface. Unless someone provides a definitive case of it not working then this should be marked as Resolved, again.
User avatar
No.17198
Tafoid
Administrator
Nov 23, 2019, 20:27
Fixed here as well
>mame64 specpls3 -exp mface3 -exp:mface3:exp kempjoy jetpac
Seemed to work ok for me after tape load, selecting 4 for the joystick and 5 to start. The numpad controls the joystick by default.